/*******************************************************************************
 *
 * File Name: ANNUpdateAlgorithm.h
 * Author: Richard Baxter
 * Project: Advanced Neural Network (ANN)
 * Project Version: 1j2h 16-Feb-07
 * Comments:
 *
 *******************************************************************************/

#ifndef NEURON_UPDATE_ALGORIANNTHM_HEADER
#define NEURON_UPDATE_ALGORIANNTHM_HEADER

#include "ANNneuronClass.h"

double ANNBackPropogationPass(NeuronContainer * firstInputNeuron, NeuronContainer * firstOutputNeuron);
	void forwardPassStep(NeuronContainer * neuronBeingAccessed);
	void backwardPassStep(NeuronContainer * neuronBeingAccessed, int isOutputLayer, bool isSubnet);
	double calculateErrorOfBackPropPass(NeuronContainer * firstOutputNeuronInNetwork);

#ifdef ANN

void copyNeuronContainerListToNeuronConnectionContainerList(NeuronConnectionContainer * firstNeuronConnectionInListToUpdate, NeuronContainer * firstNeuronInListToCopy);
void copyNeuronConnectionContainerListToNeuronContainerList(NeuronConnectionContainer * firstNeuronInListToUpdate, NeuronContainer * firstNeuronConnectionInListToCopy);

//void copyNeuronListIntoNeuronReferenceArray(NeuronContainer * neuronReferenceArrayToUpdate[], NeuronContainer * firstNeuronInListToCopy);
//void copyNeuronReferenceArrayIntoNeuronList(NeuronContainer * firstNeuronInListToUpdate, NeuronContainer * neuronReferenceArrayToCopy[]);

#endif

float calculateOValue(float netValue);


void DEBUGsetDataSetNum(int newdataSetNum);

#endif

