/*******************************************************************************
 *
 * File Name: LRRCrecordClass.h
 * Author: Richard Baxter
 * Project: Lego Rules CG Rounds Checker
 * Project Version: 3e2a 16-Feb-07
 * Project First Internal Release: 1aXx 18-Sept-05 (C)
 * Project Second Internal Release: 2aXx 02-April-06 (convert to C++)
 * Project Third Internal Release: 2b7d 26-Sept-06 (added sprites)
 * Project Fourth Internal Release: 2c4a 25-Feb-07 [rotation of models supported, copyCombatRelevantInheritedImmediateParentUnitDetailsIntoChildObject() no longer used]
 * Project Fifth Internal Release: 2d11a 3-June-07
 *
 *******************************************************************************/

#ifndef RECORD_CLASS
#define RECORD_CLASS

#include <string>
#include <iostream>
#include <fstream>
#include <time.h>
#include <math.h>
using namespace std;

class RecordClass
{
private:
	/*There are currently no private attributes of this class*/
public:

	RecordClass(void); // constructor
	~RecordClass();	// and destructor.

	string name;
	int numberOfThisPartIDInTheUnit;

	RecordClass * next;


};

#endif

